List Prices - Flex Documentation
List Prices
cURL
curl --request GET \
--url https://api.withflex.com/v1/prices \
--header 'Authorization: Bearer <token>'
Python
import requests
url = "https://api.withflex.com/v1/prices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.withflex.com/v1/prices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.withflex.com/v1/prices",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
go package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.withflex.com/v1/prices"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Unirest in Java
HttpResponse<String> response = Unirest.get("https://api.withflex.com/v1/prices")
.header("Authorization", "Bearer <token>")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://api.withflex.com/v1/prices")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body
Response Codes
- 200 - Successful retrieval
- 401 - Unauthorized
- 403 - Forbidden
- 404 - Not Found
- 409 - Conflict
- 422 - Unprocessable Entity
- 429 - Too Many Requests
Example Response
{
"prices": [
{
"price_id": "fprice_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"owner_partner_id": "facct_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"description": "Premium SPF 50 mineral sunscreen",
"unit_amount": 0,
"active": false,
"created_at": "2026-06-15T14:30:00Z",
"type": "one_time",
"metadata": {
"order_id": "8842",
"channel": "shopify"
},
"test_mode": false
}
]
}
Error Response
{
"code": "string",
"detail": "string"
}
Authorizations
- Authorization string (header, required) - Use a Bearer token to access this API.
Query Parameters
limit integer
| null - A limit on the number of objects to be returned. Limit can range between 1 and 100, defaults to 10. - Example:
10
- Example:
offset integer
| null - Number of objects to skip before returning results. - Example:
3
- Example:
active boolean | null - Only return prices where
activematches this value.- Example:
false
- Example:
product string | null - Filter by product ID to return prices for a specific product.
- Example:
"fprod_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
- Example:
expand_product boolean | null - If true, expands the product object in the response.
- Example:
false
- Example:
starting_after string | null - A cursor for pagination, defining your place in the list. Example:
"fprice_01J9XR8M3K7VZ8N2YB4WJ6T0RA"ending_before string | null - A cursor for pagination, defining your place in the list. Example:
"fprice_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
Response Format
200 - application/json
An envelope wrapping a list of price objects.
Prices
- prices object[] (required) - The list of prices.